/**
 Set up the database
 */
import java.sql.*;

public class ServerSetup{
	private String DB_Driver = "jdbc:mysql";
	private String DB_Server = "abstract";
	private String DB_DB = "yanyin_JamSpace";
	private String DB_Table = "OnlineList";
	private String DB_URL = DB_Driver+"://"+DB_Server+"/"+DB_DB;
	private String DB_User = "yanyin";
	private String DB_Pass = "71eml8q9";
	
	public ServerSetup(){
		try{
			Class.forName("com.mysql.jdbc.Driver").newInstance();
			Connection con = DriverManager.getConnection(DB_URL, DB_User, DB_Pass);
			Statement s = con.createStatement();
			String SQLQuery = "create table if not exists "+DB_Table+" "+
									"(IP varchar(15) not null, "+
									"Port smallint unsigned not null, "+
									"nickname varchar(255) not null, "+
									"instrument varchar(255) not null, "+
									"lastModified timestamp default null);";
			s.execute(SQLQuery);
			System.out.println("Table "+DB_Table+" [if not exists] has been sucessfully created");
		}
		catch(Exception e){
			System.out.println(e.getMessage());
		}
	}
	
	public static void main(String argv[]){
		new ServerSetup();	
	}
}